
#ifndef __HANDLES_H_
#define __HANDLES_H_

/** 
 * @file: handles.h
 *
 * Hlavickovy soubor modulu implementujici vlastni mechanismus handle v
 * souboru handle.c.
 */

#include <ntddk.h>

// Vyznam jednotliych rutin najdete v komentarich u jejich implementace
// v souboru handles.c.

NTSTATUS HandleCreate(PUNICODE_STRING ObjectName, PVOID *Handle);
NTSTATUS HandleClose(PVOID Handle);
NTSTATUS HandleTranslate(PVOID Handle, PVOID *Object);

NTSTATUS HandlesInit(VOID);
VOID HandlesFinit(VOID);

#endif
